Bug 1793499 - urjtag fails to build with gcc 10: multiple definition of `UrjtagError'
Summary: urjtag fails to build with gcc 10: multiple definition of `UrjtagError'
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: urjtag
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS PYTHON39 GCC10
TreeView+ depends on / blocked
 
Reported: 2020-01-21 13:42 UTC by Miro Hrončok
Modified: 2020-02-13 15:51 UTC (History)
6 users (show)

Fixed In Version: urjtag-2019.12-3.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-13 15:51:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-01-21 13:42:40 UTC
urjtag fails to build with gcc 10.

gcc -pthread -shared -Wl,-z,relro -Wl,--as-needed -Wl,-z,now -g -Wl,-z,relro -Wl,--as-needed -Wl,-z,now -g -Wl,-z,relro -Wl,--as-needed -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection build/temp.linux-x86_64-3.9/./chain.o build/temp.linux-x86_64-3.9/./register.o -L../../src/.libs -L/usr/lib64 -lurjtag -lftdi1 -lusb-1.0 -o build/lib.linux-x86_64-3.9/urjtag.cpython-39-x86_64-linux-gnu.so
/usr/bin/ld: build/temp.linux-x86_64-3.9/./register.o:/builddir/build/BUILD/urjtag-2019.12/bindings/python/./py_urjtag.h:38: multiple definition of `UrjtagError'; build/temp.linux-x86_64-3.9/./chain.o:/builddir/build/BUILD/urjtag-2019.12/bindings/python/./py_urjtag.h:38: first defined here
collect2: error: ld returned 1 exit status
error: command 'gcc' failed with exit status 1


This blocks the Python 3.9 rebuild of the package.

See https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/RYVPP45PMWPXYBBDKXO3CI7YGL7CDQG6/ and https://gcc.gnu.org/gcc-10/porting_to.html#common for more information about the failure.

Comment 1 Ben Cotton 2020-02-11 17:31:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.


Note You need to log in before you can comment on or make changes to this bug.